Subject: Re: linux-next: manual merge of the input tree with the s5p tree

From: Joonyoung Shim <[email-masked]>
Date: Fri, 06 Aug 2010 12:20:26 +0900

On 8/6/2010 10:43 AM, Stephen Rothwell wrote:
> Hi,
> 
> On Fri, 06 Aug 2010 09:43:34 +0900 Kukjin Kim <[email-masked]> wrote:
>> I know that Dmitry's 'Input: samsung-keypad...patch' which includes
>> plat/keypad.h has been merged Linus' tree in this merge window.
>> And Joonyoung's another patch which is in my tree needs to update it, but my
>> tree is don't having it against Linus' 2.6.35.
>>
>> So happened conflict...how can/should I handle this...
>> Should I rebase my tree against Linus' latest?
> 
> Either rebase (worst), or just merge Linus' tree (better) into yours or
> (best) merge what Dmitry merged into Linus' tree.  To do this last, you
> need to merge commit d01d0756f75e7a5b4b43764ad45b83c4340f11d6 from Linus'
> tree.  Doing this brings in the minimum amount of extra stuff to your
> tree, but allows you to sort out the conflict.
> 

Kukjin,

If you rebase and need, i can send updated patches. It uses "ARM:
SAMSUNG: Add helper to clone and set platform data" patch of Ben Dooks.

Thanks.